import { type ZodLazy, type ZodTypeAny } from 'zod';
declare const customScalarSymbol: unique symbol;
export type CustomScalarSchema<Schema extends ZodTypeAny> = ZodLazy<Schema> & {
    [customScalarSymbol]: true;
};
export declare function isCustomScalarSchema(schema: ZodTypeAny): schema is CustomScalarSchema<ZodTypeAny>;
export declare function createCustomScalarSchema<Schema extends ZodTypeAny>(schema: Schema): CustomScalarSchema<Schema>;
export {};
//# sourceMappingURL=custom-scalar.d.ts.map