export declare const graphqlFieldOptions: <Schema extends import("./query-schema.js").FieldSchema>(schema: Schema, options: {
    aliasFor?: string;
    parameters?: Record<string, import("./values/value.js").GraphqlValue>;
}) => import("zod").ZodLazy<Schema>;
export declare const buildGraphqlQuery: (schema: import("./query-schema.js").QuerySchema, options?: import("./builder.js").OperationOptions) => string;
export declare const buildGraphqlMutation: (schema: import("./query-schema.js").QuerySchema, options?: import("./builder.js").OperationOptions) => string;
export { createCustomScalarSchema as customScalar } from './custom-scalar.js';
export { enumValue } from './values/enum.js';
export { variablePlaceholder } from './values/variable-placeholder.js';
export type { QuerySchema } from './query-schema.js';
//# sourceMappingURL=entry-point.d.ts.map